/*
wijit PropConnection.h: function declarations and class 
definition for CPropConnection class (property sheet)
Copyright (C) 1999-2000 Keith Minkler <tsbandit@jabber.org>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You can reach The author at tsbandit@jabber.org (email or jid)
*/
#if !defined(AFX_PROPCONNECTION_H__D6920FC4_3E2C_11D4_8E43_00C04F6B1F5B__INCLUDED_)
#define AFX_PROPCONNECTION_H__D6920FC4_3E2C_11D4_8E43_00C04F6B1F5B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PropConnection.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPropConnection dialog

class CPropConnection : public CPropertyPage
{
	DECLARE_DYNCREATE(CPropConnection)

// Construction
public:
	CPropConnection();
	~CPropConnection();

// Dialog Data
	//{{AFX_DATA(CPropConnection)
	enum { IDD = IDD_PROPPAGE_CONNECTION };
	CString	m_Password;
	CString	m_Resource;
	CString	m_ServerName;
	CString	m_UserName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPropConnection)
	public:
	virtual BOOL OnApply();
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPropConnection)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROPCONNECTION_H__D6920FC4_3E2C_11D4_8E43_00C04F6B1F5B__INCLUDED_)
