/*
wijit PropConnection.cpp: function definitions for the connection
propery sheet. (prefs)
Copyright (C) 1999-2000 Keith Minkler <tsbandit@jabber.org>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

You can reach The author at tsbandit@jabber.org (email or jid)
*/
#include "stdafx.h"
#include "wijit.h"
#include "PropConnection.h"
#include "wijitDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPropConnection property page

IMPLEMENT_DYNCREATE(CPropConnection, CPropertyPage)

CPropConnection::CPropConnection() : CPropertyPage(CPropConnection::IDD)
{
	//{{AFX_DATA_INIT(CPropConnection)
	m_Password = _T("");
	m_Resource = _T("");
	m_ServerName = _T("");
	m_UserName = _T("");
	//}}AFX_DATA_INIT
}

CPropConnection::~CPropConnection()
{
}

void CPropConnection::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPropConnection)
	DDX_Text(pDX, IDC_PASSWORD, m_Password);
	DDX_Text(pDX, IDC_RESOURCE, m_Resource);
	DDX_Text(pDX, IDC_SERVER_NAME, m_ServerName);
	DDX_Text(pDX, IDC_USER_NAME, m_UserName);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPropConnection, CPropertyPage)
	//{{AFX_MSG_MAP(CPropConnection)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPropConnection message handlers

BOOL CPropConnection::OnApply() 
{
	// TODO: Add your specialized code here and/or call the base class
	CWijitDlg *HomeDlg=(CWijitDlg*)AfxGetMainWnd();

	UpdateData(TRUE);
	HomeDlg->li.ServerName=m_ServerName;
	HomeDlg->li.UserName=m_UserName;
	HomeDlg->li.Password=m_Password;
	HomeDlg->li.Resource=m_Resource;
	HomeDlg->WriteSettings();
	return CPropertyPage::OnApply();
}

BOOL CPropConnection::OnSetActive() 
{
	CWijitDlg *HomeDlg=(CWijitDlg*)AfxGetMainWnd();

	HomeDlg->ReadSettings();
	m_ServerName=HomeDlg->li.ServerName;
	m_UserName=HomeDlg->li.UserName;
	m_Password=HomeDlg->li.Password;
	m_Resource=HomeDlg->li.Resource;
	UpdateData(FALSE);
	return CPropertyPage::OnSetActive();
}
